Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 448860 (glibc-2.17) - [TRACKER] Packages failing to build with sys-libs/glibc-2.17
Summary: [TRACKER] Packages failing to build with sys-libs/glibc-2.17
Status: RESOLVED FIXED
Alias: glibc-2.17
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: Tracker
Depends on: glibc-2.16 449284 450856 451768 452108 452212 458326 465384 491164
Blocks: 496752
  Show dependency tree
 
Reported: 2012-12-27 15:44 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2014-02-18 19:16 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2012-12-27 15:44:37 UTC
As usual DO NOT REPORT BUGS AS COMMENTS HERE.
Comment 1 Marek Bartosiewicz 2013-01-05 19:26:50 UTC
Where can I report runtime failures?
I have evince quitting when trying to print after upgrading to glibc 2.17:

[  155.441947] evince[5015]: segfault at 1 ip 00007fe9c8ea02c3 sp 00007fff8831b1d8 error 4 in libpango-1.0.so.0.3200.5[7fe9c8e8c000+49000]

emerge -e world with ~1200 packages and gnome-overlay and gcc-4.7.2 and ~amd64 went fine apart from ppl (ppl build bug it's not connected to glibc 2.17) and another one package (clisp).
Comment 2 Marek Bartosiewicz 2013-01-07 09:34:22 UTC
The problem with evince no longer occurs.
Comment 3 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2013-01-07 10:03:29 UTC
(In reply to comment #1)
> Where can I report runtime failures?
Clarification for comment #0:

- Please file a *NEW* bug for each package that fails in any way with glibc-2.17 and have it *BLOCK* this one.

- The bug should be assigned to the maintainer of the package. Please do not cc toolchain - they get enough mail on these things.

- *DO NOT* use this bug for any problems with glibc-2.17 itself. Instead, file a
NEW bug describing your issue and it will be assigned by a bug wrangler.
Comment 4 Ulenrich 2013-03-19 18:52:39 UTC
I did work on two of the open bugs:
https://bugs.gentoo.org/show_bug.cgi?id=452212
https://bugs.gentoo.org/show_bug.cgi?id=451768

One now resolved - the other should be set as resolved.

Anything else we could do to get glibc-2.17 
the unstable certificate ?
Or do you want to wait for glibc-2.18 ?
(I run my system with glibc-2.17 without issues)
Comment 5 SpanKY gentoo-dev 2014-02-18 19:16:10 UTC
pretty much all bugs have been sorted now